{
  config,
  lib,
  pkgs,
  ...
}: let
  cfg = config.jade.desktop.gaming;
in
  with lib; {
    options.jade.desktop.gaming = {
      enable = mkEnableOption "Enable gaming stuff";
    };
    config = mkIf cfg.enable {
      programs.steam.enable = true;
      home-manager.users.jade = {pkgs, ...}: {
        home.packages = with pkgs; [
          lutris
          prismlauncher
        ];
      };
    };
  }
