{
  config,
  lib,
  pkgs,
  ...
}: let
  cfg = config.jade.desktop.ios-compat;
in
  with lib; {
    options.jade.desktop.ios-compat = {
      enable = mkEnableOption "Enable the ios compatability programs";
    };
    config = mkIf cfg.enable {
      services = {
        usbmuxd.enable = true;
        gvfs.enable = true;
      };
      home-manager.users.jade = {pkgs, ...}: {
        home.packages = with pkgs; [
          libimobiledevice
          libimobiledevice-glue
          ifuse
          usbmuxd
          libusbmuxd
          gvfs
        ];
      };
    };
  }
