{
  config,
  lib,
  pkgs,
  ...
}: let
  cfg = config.jade.terminal;
in
  with lib; {
    options.jade.terminal = {
      enable = mkEnableOption "Enable Kitty";
    };
    config = mkIf cfg.enable {
      environment.sessionVariables = rec {
        TERMINAL = "kitty";
      };
      home-manager.users.jade = {pkgs, ...}: {
        programs.kitty = {
          enable = true;
          font = {
            name = "FiraCode Nerd Font";
            size = 11;
          };
          settings = {
            #adjust_column_width = "70%";
            color0 = "#282828";
            color8 = "#928374";
            color1 = "#cc241d";
            color9 = "#fb4934";
            color2 = "#98971a";
            color10 = "#b8bb26";
            color3 = "#d79921";
            color11 = "#fabd2f";
            color4 = "#458588";
            color12 = "#83a598";
            color5 = "#b16286";
            color13 = "#d3869b";
            color6 = "#689d6a";
            color14 = "#8ec07c";
            color7 = "#a89984";
            color15 = "#ebdbb2";
            foreground = "#ebdbb2";
            background = "#282828";
            confirm_os_window_close = 0;
          };
        };
      };
    };
  }
